Description

Liste des requirements a traiter pour la R3

Je ne mets que ceux qui ne concernent pas Watchdog management car sur LFR pas de watchdog.

Par contre, je n ai analysé que la SSS 3.3, peut etre faut il remonter en 3.0 .....
J ai reverifié 3.0 3.1

EDAC management

- SSS-CP-FS-470

In case of detection of a not correctable error during instruction fetch (instruction access error), the
RPW Flight Software shall performed the actions specified in [RD6] / [RD24].

- SSS-CP-FS-480

In case of detection of a not correctable error during data access (data access exception),
depending on the criticality of the data, the RPW Flight Software shall performed the actions
specified in [RD6] / [RD24].

Cache configuration
- SSS-CP-FS-610
The RPW Flight Software shall explicitly configure the data and instruction caches at startup

Equipment mode management

- SSS-CP-EQS-326 --> changed in 3.1

Upon reception of a TC_xxx_ENTER_MODE(SBM1) / TC_xxx_ENTER_MODE(SBM2) /
TC_xxx_ENTER_MODE(NORMAL), the equipment flight software shall not re-initialize the
NORMAL data flow if this one was already active.

--> déja réalise SVS-0032

ATTENTION NOUS NE SERONS JAMAIS CONFORMES (Paul)++

SSS-CP-EQS-327

The equipment flight software shall stop to produce science packets as soon as they have sent the
acknowledgment packet related to the mode transition to STANDBY.

--> facile, il existe deja un script que | on peut adapter

SSS-CP-EQS-328 (3.1)

Equipment mode management

The equipment flight software shall ignore the synchronization bit of the
CP_xxx_ENTER_MODE_TIME parameter (most significant bit) when they handle a
TC_XXX_ENTER_MODE command.

LFR, THR, TDS

The rationale is to avoid the rejection of the transitions when the time is not synchronized.

LFR data for S/C potentiel computation

SSS-CP-EQS-533

The LFR flight software shall report in its periodic HK packet (TM_LFR_HK) the availability of the
electric field components sampled at f3.

LFR frequency bins internal masks

SSS-CP-EQS-527

Upon reception of a TC_LFR_LOAD_FBINS_MASK, the LFR flight software shall be able to update
the internal mask used for avoiding some frequency bins in the computation of the basic
parameters:
— 1 mask f0 , 128 bits = 16 bytes
— 1 mask f1, 16 bytes
-1 mask f2, 16 bytes

SSS-CP-EQS-528

The LFR flight software shall be able to dump in the TM_LFR_PARAMETER_DUMP packet the
internal mask of frequency bins.

--> adapter le script SCRIPT/R3/just_dump_par.py

LFR inter-calibration factors

SSS-CP-EQS-529

Upon reception of several TC_LFR_LOAD_KCOEFFICIENTS packets, the LFR flight software
shall be able to update the inter-calibration factors (k-coefficients) used for computing the poynting
flux and phase velocity estimators:

- 32 coefficients (coded on 4 bytes) for 36 frequencies.

For uploading all the coefficients (4608 bytes), 36 TC packets are needed. The coefficients are
correlated to the distance from the Sun. They have to be updated every 8 to 10 days. The
coefficient updating will be updated using the S/C timeline.

--> adapter le script SCRIPT/R3/just_stby_and_load_kcoeff.py

SSS-CP-EQS-531

Upon reception of a TC_LFR_DUMP_KCOEFFICIENTS packet, the LFR flight software shall be
able to dump in two TM_LFR_KCOEFFICENTS_DUMP packets the inter-calibration factors (k-
coefficients).

--> adapter le script SCRIPT/R3/just_stby_and_dump_kcoeff.py

Software User Manual

SSS-OR-050

Each analyzer flight software shall have its own user manual (SUM) covering the following points:
— General description

— Initialization phase

— Modes and transitions

— Housekeeping parameters and reports

— Configuration (role of each configuration parameter that can be changed by TC)
— Memory map (including physical mapping of SW onto subsystem HW)

— Description of the science products (TM packets, auxiliary parameters, ...)

— Data rates

— Data time-stamping policy

— Failures

History

#1 - 12/06/2015 01:38 PM - Veronique bouzid

- Description updated

#2 - 12/06/2015 01:39 PM - Veronique bouzid

- Description updated

#3 - 26/06/2015 02:04 PM - Veronique bouzid

- Description updated

#4 - 12/08/2015 03:05 PM - Veronique bouzid

- Description updated

#5 - 21/08/2015 09:29 AM - Veronique bouzid

voici la réponse de Paul aux questions poseées, elles sont en gras
La SSS 3.3 montre que nous avons 2 requirements qui concernent EDAC Management
- SSS-CP-FS-470

In case of detection of a not correctable error during instruction fetch (instruction access error), the
RPW Flight Software shall performed the actions specified in [RD6] / [RD24].
L'EDAC est automatique et géré dans la RAM. Pour I'instant, rien d'autre n'est implémenté, ni prévu.
- SSS-CP-FS-480
In case of detection of a not correctable error during data access (data access exception),

depending on the criticality of the data, the RPW Flight Software shall performed the actions
specified in [RD6] / [RD24].

L'EDAC est automatique et géré dans la RAM. Pour l'instant, rien d'autre n'est implémenté, ni prévu. Si une erreur non corrigeable est
détectée, probable que le logiciel aura planté avant qu'on s'en apergoive.
Dans la SRS, ces 2 requirements sont déja décrits en tant que design. --> Paul confirmes-tu?
--> Pas de réponse de PAUL.
Dans la SRS ces 2 requirements sont respectivement REQ-LFR-SRS-5225_Ed1 et REQ-LFR-SRS-5226_Ed2
1 requirement qui concerne Cache configuration

- SSS-CP-FS-610
The RPW Flight Software shall explicitly configure the data and instruction caches at startup

--> Je ne sais pas comment valider ceci "Design or not"
Ca peut étre vérifié en lisant les registres appropriés avec SoExplorer juste aprés le démarrage de la carte puis aprées le démarrage du
logiciel.
- SSS-CP-EQS-326
Upon reception of a TC_xxx_ENTER_MODE(SBM1) / TC_xxx_ENTER_MODE(SBM2) /
TC_xxx_ENTER_MODE(NORMAL), the equipment flight software shall not re-initialize the
NORMAL data flow if this one was already active.
Paul, il me semble qu il faut que | on precise ce que signifie "re-initialize" .
Si j'ai bien compris quand on pass en SBM1 alors que | on est en NORMAL MODe,
1- on arrete le NORMAL MODE en cours
2 -- On demarre le SBM1 et le NORMAL MODE

Donc on n'est pas en conformité sauf si on arrive a lancer le SBM1 en synchro avec TDS.
Peux-tu regarder ¢ est page 346 de la SSS3.3

Nous ne sommes pas conformes et nous ne le seront pas dans un futur proche. Cette exigence est venue trop tard pour remettre en cause
toute la gestion des modes (a I'époque de la conception, nous avions demandé son avis a Philippe qui avait validé le redémarrage du
NORMAL en cas de SBM1). Donc pour l'instant, SBM1 ou SBM2 redémarrent le mode NORMAL.

#6 - 21/08/2015 11:48 AM - Veronique bouzid

- File SSS-SRS-SVS-compliance_matrix_LFR_V3-1.0.xIsx added

- Status changed from New to In Progress

j ai crée une matrice de compliance V3 version 1.0

J ai mis a jour, ajouté et surement oublié des infos.

En rouge, ce qui a été modifié / V2 et ajouté en V3

En vert, les scripts de timing a bien regarder car j ai passé un moment a comprendre et adapter les scripts / a ceux de Gérald et c est pas concluant.
#7 - 15/10/2015 12:53 PM - Veronique bouzid

- File SSS-SRS-SVS-compliance_matrix_LFR_V3-1.0.xIsx added
- File RPW-SYS-SSS-00013-LES_Issue3_rev5_Software_System_Specification_Annex_Release_Definition.xIsx added

Voici la derniere matrice a jour pour la R3.
Elle prend en compte les requirements de la SSS 3.5 en date du 25 juin 2015.

Les tests marqués Design , Inspection doivent etre traités par Nicolas Briand.
Leterme inspection signifie qu'il faut identifier dans le code de soft de vol les fonctions, lignes de code qui répondent au x_mark.png requirement(s)

Les test marqués Test sont a traiter par I'équipe de validation.
Attention:
Certains tests marqués Design en R2 sont passés en Test pour la R3.

--> Ne pas oublier de mettre les documents a jour.

#8 - 26/10/2015 01:50 PM - Veronique bouzid

- Status changed from In Progress to Closed

Files

RPW-SYS-SSS-00013-LES_Issue3_rev3_Software_System_Specificatldi RBnex_Reld2386/26fibition.xIsx Veronique bouzid
SSS-SRS-SVS-compliance_matrix_LFR_V3-1.0.xIsx 49.3 KB 21/08/2015 Veronique bouzid
SSS-SRS-SVS-compliance_matrix_LFR_V3-1.0.xIsx 49.9 KB 15/10/2015 Veronique bouzid

RPW-SYS-SSS-00013-LES_Issue3_rev5_Software_System_Specificatldis RBnex_Reld&g&026fibition.xIsx
